import{s as ut,n as pt,o as mt}from"../chunks/scheduler.8c3d61f6.js";import{S as ft,i as gt,g as i,s as n,r as u,A as ht,h as d,f as o,c as s,j as _,u as p,x as v,k as b,y as t,a as c,v as m,d as f,t as g,w as h}from"../chunks/index.da70eac4.js";import{D as $}from"../chunks/Docstring.6b390b9a.js";import{C as _t}from"../chunks/CodeBlock.00a903b3.js";import{H as Ee,E as bt}from"../chunks/EditOnGithub.1e64e623.js";function vt(Se){let L,le,ie,ce,k,ue,E,Ye='The 3D variational autoencoder (VAE) model with KL loss used in <a href="https://huggingface.co/Lightricks/LTX-Video" rel="nofollow">LTX</a> was introduced by Lightricks.',pe,M,Be="The model can be loaded with the following code snippet.",me,C,fe,O,ge,a,z,Me,J,Qe=`A VAE model with KL loss for encoding images into latents and decoding latent representations into images. Used in
<a href="https://huggingface.co/Lightricks/LTX-Video" rel="nofollow">LTX</a>.`,Ce,S,et=`This model inherits from <a href="/docs/diffusers/pr_10135/en/api/models/overview#diffusers.ModelMixin">ModelMixin</a>. Check the superclass documentation for it’s generic methods implemented
for all models (such as downloading or saving).`,Oe,Y,V,ze,B,P,Ve,y,I,Pe,Q,tt=`Disable sliced VAE decoding. If <code>enable_slicing</code> was previously enabled, this method will go back to computing
decoding in one step.`,Ie,w,H,He,ee,ot=`Disable tiled VAE decoding. If <code>enable_tiling</code> was previously enabled, this method will go back to computing
decoding in one step.`,Ue,A,U,Ge,te,nt=`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`,Ne,D,G,Re,oe,st=`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful for saving a large amount of memory and to allow
processing larger images.`,je,K,N,Ze,ne,rt="Decode a batch of images using a tiled decoder.",Fe,X,R,We,se,at="Encode a batch of images using a tiled encoder.",he,j,_e,T,Z,qe,re,it="Output of AutoencoderKL encoding method.",be,F,ve,x,W,Je,ae,dt="Output of decoding method.",$e,q,Le,de,Te;return k=new Ee({props:{title:"AutoencoderKLLTX",local:"autoencoderklltx",headingTag:"h1"}}),C=new _t({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMEF1dG9lbmNvZGVyS0xMVFglMEElMEF2YWUlMjAlM0QlMjBBdXRvZW5jb2RlcktMTFRYLmZyb21fcHJldHJhaW5lZCglMjJUT0RPJTJGVE9ETyUyMiUyQyUyMHN1YmZvbGRlciUzRCUyMnZhZSUyMiUyQyUyMHRvcmNoX2R0eXBlJTNEdG9yY2guZmxvYXQzMikudG8oJTIyY3VkYSUyMik=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AutoencoderKLLTX

vae = AutoencoderKLLTX.from_pretrained(<span class="hljs-string">&quot;TODO/TODO&quot;</span>, subfolder=<span class="hljs-string">&quot;vae&quot;</span>, torch_dtype=torch.float32).to(<span class="hljs-string">&quot;cuda&quot;</span>)`,wrap:!1}}),O=new Ee({props:{title:"AutoencoderKLLTX",local:"diffusers.AutoencoderKLLTX",headingTag:"h2"}}),z=new $({props:{name:"class diffusers.AutoencoderKLLTX",anchor:"diffusers.AutoencoderKLLTX",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"latent_channels",val:": int = 128"},{name:"block_out_channels",val:": typing.Tuple[int, ...] = (128, 256, 512, 512)"},{name:"spatio_temporal_scaling",val:": typing.Tuple[bool, ...] = (True, True, True, False)"},{name:"layers_per_block",val:": typing.Tuple[int, ...] = (4, 3, 3, 3, 4)"},{name:"patch_size",val:": int = 4"},{name:"patch_size_t",val:": int = 1"},{name:"resnet_norm_eps",val:": float = 1e-06"},{name:"scaling_factor",val:": float = 1.0"},{name:"encoder_causal",val:": bool = True"},{name:"decoder_causal",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLLTX.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, defaults to <code>3</code>) &#x2014;
Number of input channels.`,name:"in_channels"},{anchor:"diffusers.AutoencoderKLLTX.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, defaults to <code>3</code>) &#x2014;
Number of output channels.`,name:"out_channels"},{anchor:"diffusers.AutoencoderKLLTX.latent_channels",description:`<strong>latent_channels</strong> (<code>int</code>, defaults to <code>128</code>) &#x2014;
Number of latent channels.`,name:"latent_channels"},{anchor:"diffusers.AutoencoderKLLTX.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int, ...]</code>, defaults to <code>(128, 256, 512, 512)</code>) &#x2014;
The number of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKLLTX.spatio_temporal_scaling",description:"<strong>spatio_temporal_scaling</strong> (<code>Tuple[bool, ...], defaults to </code>(True, True, True, False)` &#x2014;\nWhether a block should contain spatio-temporal downscaling or not.",name:"spatio_temporal_scaling"},{anchor:"diffusers.AutoencoderKLLTX.layers_per_block",description:`<strong>layers_per_block</strong> (<code>Tuple[int, ...]</code>, defaults to <code>(4, 3, 3, 3, 4)</code>) &#x2014;
The number of layers per block.`,name:"layers_per_block"},{anchor:"diffusers.AutoencoderKLLTX.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, defaults to <code>4</code>) &#x2014;
The size of spatial patches.`,name:"patch_size"},{anchor:"diffusers.AutoencoderKLLTX.patch_size_t",description:`<strong>patch_size_t</strong> (<code>int</code>, defaults to <code>1</code>) &#x2014;
The size of temporal patches.`,name:"patch_size_t"},{anchor:"diffusers.AutoencoderKLLTX.resnet_norm_eps",description:`<strong>resnet_norm_eps</strong> (<code>float</code>, defaults to <code>1e-6</code>) &#x2014;
Epsilon value for ResNet normalization layers.`,name:"resnet_norm_eps"},{anchor:"diffusers.AutoencoderKLLTX.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1.0</code>) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"},{anchor:"diffusers.AutoencoderKLLTX.encoder_causal",description:`<strong>encoder_causal</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether the encoder should behave causally (future frames depend only on past frames) or not.`,name:"encoder_causal"},{anchor:"diffusers.AutoencoderKLLTX.decoder_causal",description:`<strong>decoder_causal</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether the decoder should behave causally (future frames depend only on past frames) or not.`,name:"decoder_causal"}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L722"}}),V=new $({props:{name:"wrapper",anchor:"diffusers.AutoencoderKLLTX.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/utils/accelerate_utils.py#L43"}}),P=new $({props:{name:"wrapper",anchor:"diffusers.AutoencoderKLLTX.encode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/utils/accelerate_utils.py#L43"}}),I=new $({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKLLTX.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L889"}}),H=new $({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderKLLTX.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L875"}}),U=new $({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKLLTX.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L882"}}),G=new $({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderKLLTX.enable_tiling",parameters:[{name:"tile_sample_min_height",val:": typing.Optional[int] = None"},{name:"tile_sample_min_width",val:": typing.Optional[int] = None"},{name:"tile_sample_stride_height",val:": typing.Optional[float] = None"},{name:"tile_sample_stride_width",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLLTX.enable_tiling.tile_sample_min_height",description:`<strong>tile_sample_min_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum height required for a sample to be separated into tiles across the height dimension.`,name:"tile_sample_min_height"},{anchor:"diffusers.AutoencoderKLLTX.enable_tiling.tile_sample_min_width",description:`<strong>tile_sample_min_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum width required for a sample to be separated into tiles across the width dimension.`,name:"tile_sample_min_width"},{anchor:"diffusers.AutoencoderKLLTX.enable_tiling.tile_sample_stride_height",description:`<strong>tile_sample_stride_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum amount of overlap between two consecutive vertical tiles. This is to ensure that there are
no tiling artifacts produced across the height dimension.`,name:"tile_sample_stride_height"},{anchor:"diffusers.AutoencoderKLLTX.enable_tiling.tile_sample_stride_width",description:`<strong>tile_sample_stride_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The stride between two consecutive horizontal tiles. This is to ensure that there are no tiling
artifacts produced across the width dimension.`,name:"tile_sample_stride_width"}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L845"}}),N=new $({props:{name:"tiled_decode",anchor:"diffusers.AutoencoderKLLTX.tiled_decode",parameters:[{name:"z",val:": Tensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLLTX.tiled_decode.z",description:"<strong>z</strong> (<code>torch.Tensor</code>) &#x2014; Input batch of latent vectors.",name:"z"},{anchor:"diffusers.AutoencoderKLLTX.tiled_decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~models.vae.DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L1065",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is True, a <code>~models.vae.DecoderOutput</code> is returned, otherwise a plain <code>tuple</code> is
returned.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>~models.vae.DecoderOutput</code> or <code>tuple</code></p>
`}}),R=new $({props:{name:"tiled_encode",anchor:"diffusers.AutoencoderKLLTX.tiled_encode",parameters:[{name:"x",val:": Tensor"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLLTX.tiled_encode.x",description:"<strong>x</strong> (<code>torch.Tensor</code>) &#x2014; Input batch of videos.",name:"x"}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/autoencoder_kl_ltx.py#L1006",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The latent representation of the encoded videos.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),j=new Ee({props:{title:"AutoencoderKLOutput",local:"diffusers.models.modeling_outputs.AutoencoderKLOutput",headingTag:"h2"}}),Z=new $({props:{name:"class diffusers.models.modeling_outputs.AutoencoderKLOutput",anchor:"diffusers.models.modeling_outputs.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.modeling_outputs.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/modeling_outputs.py#L6"}}),F=new Ee({props:{title:"DecoderOutput",local:"diffusers.models.autoencoders.vae.DecoderOutput",headingTag:"h2"}}),W=new $({props:{name:"class diffusers.models.autoencoders.vae.DecoderOutput",anchor:"diffusers.models.autoencoders.vae.DecoderOutput",parameters:[{name:"sample",val:": Tensor"},{name:"commit_loss",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.models.autoencoders.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
The decoded output sample from the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_10135/src/diffusers/models/autoencoders/vae.py#L33"}}),q=new bt({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/models/autoencoderkl_ltx.md"}}),{c(){L=i("meta"),le=n(),ie=i("p"),ce=n(),u(k.$$.fragment),ue=n(),E=i("p"),E.innerHTML=Ye,pe=n(),M=i("p"),M.textContent=Be,me=n(),u(C.$$.fragment),fe=n(),u(O.$$.fragment),ge=n(),a=i("div"),u(z.$$.fragment),Me=n(),J=i("p"),J.innerHTML=Qe,Ce=n(),S=i("p"),S.innerHTML=et,Oe=n(),Y=i("div"),u(V.$$.fragment),ze=n(),B=i("div"),u(P.$$.fragment),Ve=n(),y=i("div"),u(I.$$.fragment),Pe=n(),Q=i("p"),Q.innerHTML=tt,Ie=n(),w=i("div"),u(H.$$.fragment),He=n(),ee=i("p"),ee.innerHTML=ot,Ue=n(),A=i("div"),u(U.$$.fragment),Ge=n(),te=i("p"),te.textContent=nt,Ne=n(),D=i("div"),u(G.$$.fragment),Re=n(),oe=i("p"),oe.textContent=st,je=n(),K=i("div"),u(N.$$.fragment),Ze=n(),ne=i("p"),ne.textContent=rt,Fe=n(),X=i("div"),u(R.$$.fragment),We=n(),se=i("p"),se.textContent=at,he=n(),u(j.$$.fragment),_e=n(),T=i("div"),u(Z.$$.fragment),qe=n(),re=i("p"),re.textContent=it,be=n(),u(F.$$.fragment),ve=n(),x=i("div"),u(W.$$.fragment),Je=n(),ae=i("p"),ae.textContent=dt,$e=n(),u(q.$$.fragment),Le=n(),de=i("p"),this.h()},l(e){const r=ht("svelte-u9bgzb",document.head);L=d(r,"META",{name:!0,content:!0}),r.forEach(o),le=s(e),ie=d(e,"P",{}),_(ie).forEach(o),ce=s(e),p(k.$$.fragment,e),ue=s(e),E=d(e,"P",{"data-svelte-h":!0}),v(E)!=="svelte-p2km9k"&&(E.innerHTML=Ye),pe=s(e),M=d(e,"P",{"data-svelte-h":!0}),v(M)!=="svelte-1vuni30"&&(M.textContent=Be),me=s(e),p(C.$$.fragment,e),fe=s(e),p(O.$$.fragment,e),ge=s(e),a=d(e,"DIV",{class:!0});var l=_(a);p(z.$$.fragment,l),Me=s(l),J=d(l,"P",{"data-svelte-h":!0}),v(J)!=="svelte-3ppjd9"&&(J.innerHTML=Qe),Ce=s(l),S=d(l,"P",{"data-svelte-h":!0}),v(S)!=="svelte-8gc4za"&&(S.innerHTML=et),Oe=s(l),Y=d(l,"DIV",{class:!0});var lt=_(Y);p(V.$$.fragment,lt),lt.forEach(o),ze=s(l),B=d(l,"DIV",{class:!0});var ct=_(B);p(P.$$.fragment,ct),ct.forEach(o),Ve=s(l),y=d(l,"DIV",{class:!0});var xe=_(y);p(I.$$.fragment,xe),Pe=s(xe),Q=d(xe,"P",{"data-svelte-h":!0}),v(Q)!=="svelte-189cc7b"&&(Q.innerHTML=tt),xe.forEach(o),Ie=s(l),w=d(l,"DIV",{class:!0});var ye=_(w);p(H.$$.fragment,ye),He=s(ye),ee=d(ye,"P",{"data-svelte-h":!0}),v(ee)!=="svelte-1f366pl"&&(ee.innerHTML=ot),ye.forEach(o),Ue=s(l),A=d(l,"DIV",{class:!0});var we=_(A);p(U.$$.fragment,we),Ge=s(we),te=d(we,"P",{"data-svelte-h":!0}),v(te)!=="svelte-14bnrb6"&&(te.textContent=nt),we.forEach(o),Ne=s(l),D=d(l,"DIV",{class:!0});var Ae=_(D);p(G.$$.fragment,Ae),Re=s(Ae),oe=d(Ae,"P",{"data-svelte-h":!0}),v(oe)!=="svelte-1xwrf7t"&&(oe.textContent=st),Ae.forEach(o),je=s(l),K=d(l,"DIV",{class:!0});var De=_(K);p(N.$$.fragment,De),Ze=s(De),ne=d(De,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-1vrxp2b"&&(ne.textContent=rt),De.forEach(o),Fe=s(l),X=d(l,"DIV",{class:!0});var Ke=_(X);p(R.$$.fragment,Ke),We=s(Ke),se=d(Ke,"P",{"data-svelte-h":!0}),v(se)!=="svelte-1un5fcn"&&(se.textContent=at),Ke.forEach(o),l.forEach(o),he=s(e),p(j.$$.fragment,e),_e=s(e),T=d(e,"DIV",{class:!0});var Xe=_(T);p(Z.$$.fragment,Xe),qe=s(Xe),re=d(Xe,"P",{"data-svelte-h":!0}),v(re)!=="svelte-1vsc7ag"&&(re.textContent=it),Xe.forEach(o),be=s(e),p(F.$$.fragment,e),ve=s(e),x=d(e,"DIV",{class:!0});var ke=_(x);p(W.$$.fragment,ke),Je=s(ke),ae=d(ke,"P",{"data-svelte-h":!0}),v(ae)!=="svelte-18u8upa"&&(ae.textContent=dt),ke.forEach(o),$e=s(e),p(q.$$.fragment,e),Le=s(e),de=d(e,"P",{}),_(de).forEach(o),this.h()},h(){b(L,"name","hf:doc:metadata"),b(L,"content",$t),b(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){t(document.head,L),c(e,le,r),c(e,ie,r),c(e,ce,r),m(k,e,r),c(e,ue,r),c(e,E,r),c(e,pe,r),c(e,M,r),c(e,me,r),m(C,e,r),c(e,fe,r),m(O,e,r),c(e,ge,r),c(e,a,r),m(z,a,null),t(a,Me),t(a,J),t(a,Ce),t(a,S),t(a,Oe),t(a,Y),m(V,Y,null),t(a,ze),t(a,B),m(P,B,null),t(a,Ve),t(a,y),m(I,y,null),t(y,Pe),t(y,Q),t(a,Ie),t(a,w),m(H,w,null),t(w,He),t(w,ee),t(a,Ue),t(a,A),m(U,A,null),t(A,Ge),t(A,te),t(a,Ne),t(a,D),m(G,D,null),t(D,Re),t(D,oe),t(a,je),t(a,K),m(N,K,null),t(K,Ze),t(K,ne),t(a,Fe),t(a,X),m(R,X,null),t(X,We),t(X,se),c(e,he,r),m(j,e,r),c(e,_e,r),c(e,T,r),m(Z,T,null),t(T,qe),t(T,re),c(e,be,r),m(F,e,r),c(e,ve,r),c(e,x,r),m(W,x,null),t(x,Je),t(x,ae),c(e,$e,r),m(q,e,r),c(e,Le,r),c(e,de,r),Te=!0},p:pt,i(e){Te||(f(k.$$.fragment,e),f(C.$$.fragment,e),f(O.$$.fragment,e),f(z.$$.fragment,e),f(V.$$.fragment,e),f(P.$$.fragment,e),f(I.$$.fragment,e),f(H.$$.fragment,e),f(U.$$.fragment,e),f(G.$$.fragment,e),f(N.$$.fragment,e),f(R.$$.fragment,e),f(j.$$.fragment,e),f(Z.$$.fragment,e),f(F.$$.fragment,e),f(W.$$.fragment,e),f(q.$$.fragment,e),Te=!0)},o(e){g(k.$$.fragment,e),g(C.$$.fragment,e),g(O.$$.fragment,e),g(z.$$.fragment,e),g(V.$$.fragment,e),g(P.$$.fragment,e),g(I.$$.fragment,e),g(H.$$.fragment,e),g(U.$$.fragment,e),g(G.$$.fragment,e),g(N.$$.fragment,e),g(R.$$.fragment,e),g(j.$$.fragment,e),g(Z.$$.fragment,e),g(F.$$.fragment,e),g(W.$$.fragment,e),g(q.$$.fragment,e),Te=!1},d(e){e&&(o(le),o(ie),o(ce),o(ue),o(E),o(pe),o(M),o(me),o(fe),o(ge),o(a),o(he),o(_e),o(T),o(be),o(ve),o(x),o($e),o(Le),o(de)),o(L),h(k,e),h(C,e),h(O,e),h(z),h(V),h(P),h(I),h(H),h(U),h(G),h(N),h(R),h(j,e),h(Z),h(F,e),h(W),h(q,e)}}}const $t='{"title":"AutoencoderKLLTX","local":"autoencoderklltx","sections":[{"title":"AutoencoderKLLTX","local":"diffusers.AutoencoderKLLTX","sections":[],"depth":2},{"title":"AutoencoderKLOutput","local":"diffusers.models.modeling_outputs.AutoencoderKLOutput","sections":[],"depth":2},{"title":"DecoderOutput","local":"diffusers.models.autoencoders.vae.DecoderOutput","sections":[],"depth":2}],"depth":1}';function Lt(Se){return mt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dt extends ft{constructor(L){super(),gt(this,L,Lt,vt,ut,{})}}export{Dt as component};
